Subject: Ticket Assigned - Article Feedback - If I pay for my order with a Credit or Debit Card, how long will it take to process my refund?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 03 Dec 2021 17:30:00 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - If I pay for my order with a Credit or Debit Card, how long will it take to process my refund? Feedback for:  If I pay for my order with a Credit or Debit Card, how long will it take to process my refund? Hi 
I had placed an order 7471255804 (click and collected)on June 19th 
And  placed  return for few items  on 21st june and return  no.was 1001076284 ,it collected  by courier  the next day but I checked and refund of 9.7 BD Still not processed after 5 months almost  
I never received  any refund or credit back for 9.7 BD 
Kindly check and process the refund soon 
 
Warm regards  
Akanksha 
38266505 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3444114